/*
Theme Name:     Kadence Child Theme
Theme URI:      n/a
Template:       kadence
Author:         Sophie Riepel
Author URI:     n/a
Description:    Anpassungen und Erweiterungen vom Haupt-Theme von Kadence.
Version:        1.0
License:        GNU General Public License v3.0 (or later)
License URI:    https://www.gnu.org/licenses/gpl-3.0.html
*/


.display-none {
	display: none;
}
.text-align-left {
	text-align: left;
}

h2 {
	margin-bottom: 25px !important;
}

a#kt-scroll-up {
    border-radius: 50px;
}

.wp-block-button__link {
    border: none !important;
}

/* Sticky Header Logo */
.site-branding {
    padding: 0 !important;
}
.kadence-sticky-header.item-is-fixed:not(.item-at-start) .site-branding a.brand img:not(.svg-logo-image) {
    width: 90px !important;
}
#masthead .kadence-sticky-header.item-is-fixed:not(.item-at-start) .mobile-toggle-open-container .menu-toggle-open {
    color: var(--global-palette1) !important;
}

/* Home */

.wp-block-kadence-column.kadence-column3145_d88bf4-96.zindex100 {
    z-index: 1000;
}


/* Content */
div#primary {
    margin-top: -30px;
}
.entry {
	box-shadow: none !important;
}
.entry-content-wrap {
    padding: 0 2rem !important;
}
.content-area {
    margin-top: 0;
    margin-bottom: 0;
}

.kt-row-column-wrap.kt-has-2-columns.kt-row-layout-equal.kt-tab-layout-inherit.kt-mobile-layout-row.kt-row-valign-top.kt-inner-column-height-full.kb-theme-content-width {
	padding: 0;
}
.kt-row-column-wrap.kt-has-1-columns.kt-row-layout-equal.kt-tab-layout-inherit.kt-mobile-layout-row.kt-row-valign-top.kt-inner-column-height-full.kb-theme-content-width {
    padding: 0;
}

figure.wp-block-pullquote.has-theme-palette-1-color.has-text-color.has-link-color {
    margin: 0 !important;
    padding: 0 !important;
}
.wp-block-pullquote blockquote {
	padding: 0 !important;
}
.wp-block-pullquote blockquote::before {
    color: var(--global-palette8) !important;
}
.pullquote-white blockquote::before {	
    color: var(--global-palette7) !important;
}

.uagb-button__icon > svg {
	width: 25px !important;
	height: 25px !important;
}

blockquote p {
    line-height: 1em;
}
.wp-block-kadence-column.kadence-column10_c0f28b-cd.zindex100 {
	z-index: 5;
}
zindex100 {
	z-index: 100;
}
zindex90 {
	z-index: 90;
}

.wp-block-kadence-iconlist ul.kt-svg-icon-list .kt-svg-icon-list-item-wrap .kt-svg-icon-list-single {
    padding: 7px 0 0;
}
h2.kt-accordion-header-wrap {
    margin: 0 !important;
}
span.kt-blocks-accordion-title {
    padding-left: 15px;
}

/* Blog */

.post .entry-content-wrap,
.entry-related-carousel .post .entry-content-wrap {
    padding-top: 20px !important;
    padding-bottom: 20px !important;
}
.post .entry-content-wrap {
    background: var(--global-palette7) !important;
}
.single-post .entry-content-wrap {
    background: transparent !important;
}
.entry-related-carousel .post .entry-content-wrap {
    background: var(--global-palette2) !important;
}
.post h2 {
	font-size: 32px !important;
}
.post .category-links a, .post h2 a, .post h3 a,
.entry-related-carousel .post .category-links a, .entry-related-carousel .post h2 a, .entry-related-carousel .post h3 a {
	color: var(--global-palette4) !important;
}
.post .category-links a:hover, .post h2 a:hover,
.entry-related-carousel .post .category-links a:hover, .entry-related-carousel .post h2 a:hover,
.wp-block-kadence-posts .entry-taxonomies a:hover {
	color: var(--global-palette1) !important;
}
h2.entry-related-title {
	color: var(--global-palette4) !important;
}
.post-thumbnail.article-post-thumbnail.kadence-thumbnail-position-above.kadence-thumbnail-ratio-inherit {
    display: none;
}
.entry-related-carousel h3.entry-title {
	font-size: 32px !important;
}


/* Kontakt */

fieldset#cb2780c5e750-84 {
    font-size: 18px;
}
.kb-radio-check-item {
    margin: 10px 0 !important;
}
.kb-adv-form-success {
    background: var(--global-palette9) !important;
    color: var(--global-palette4) !important;
}

/* Kontakt Button */

#kontakt-sr {
	z-index: 1000;
	position: fixed;
	bottom: 100px;
	left: 20px;
	width: 50px;
	height: 50px;
	padding: 9px 11px;
	margin: 0; 
	border-radius: 50px;
	background: #666666;
}
#kontakt-sr:hover {
	background: #000000;
}
#kontakt-sr svg {
	fill: var(--global-palette9);
    width: 29px;
    height: 29px;
}

/* WhatsApp Button */

#whatsapp-sr {
	z-index: 1000;
	position: fixed;
	bottom: 30px;
	left: 20px;
	width: 50px;
	height: 50px;
	padding: 9px 11px;
	margin: 0; 
	border-radius: 50px;
	background: #25d366;
}
#whatsapp-sr:hover {
	background: #075e54;
}
#whatsapp-sr svg {
	fill: var(--global-palette9);
	width: 28px;
}

/* Umbrüche */

/* Silbentrennung nur auf mobilen Geräten */
@media screen and (max-width: 768px) {
    .hyphenate {
        hyphens: auto !important;
        word-wrap: break-word !important;
    }
}

/* Silbentrennung auf größeren Geräten deaktivieren */
@media screen and (min-width: 769px) {
    .hyphenate {
        hyphens: none !important;
        word-wrap: normal !important;
    }
}
	
/* Silbentrennung nur auf mobilen Geräten *//*
@media screen and (max-width: 1170px) {
    .entry-content {
        hyphens: auto !important; /* Silbentrennung aktivieren *//*
        word-wrap: break-word !important; /* Zeilenumbruch an langen Wörtern *//*
        overflow-wrap: break-word !important; /* Fallback für ältere Browser *//*
    }
}

/* Silbentrennung auf größeren Geräten deaktivieren *//*
@media screen and (min-width: 1171px) {
    .entry-content {
        hyphens: none !important; /* Silbentrennung deaktivieren *//*
        word-wrap: normal !important;
        overflow-wrap: normal !important;
    }
}*/

